Package org.jbpm.bpmn2.xml

## Class CompositeContextNodeHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.bpmn2.xml.AbstractNodeHandler
    - - org.jbpm.bpmn2.xml.AbstractCompositeNodeHandler
      - - org.jbpm.bpmn2.xml.CompositeContextNodeHandler

- All Implemented Interfaces:
    `org.drools.core.xml.Handler`
  Direct Known Subclasses:
    `AdHocSubProcessHandler`

      public class CompositeContextNodeHandler
      extends AbstractCompositeNodeHandler

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `dataInputs, dataOutputs, EOL, inputAssociation, logger, outputAssociation`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompositeContextNodeHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Node` | `createNode​(Attributes attrs)` |
    `Class` | `generateNodeFor()` |
    `protected List<Node>` | `getSubNodes​(CompositeNode compositeNode)` |
    `void` | `writeNode​(Node node, StringBuilder xmlDump, int metaDataType)` |

    - ### Methods inherited from class org.jbpm.bpmn2.xml.AbstractCompositeNodeHandler

      `getSubConnections, visitConnectionsAndAssociations`

    - ### Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `checkSignalAndConvertToRealSignalNam, containsExtensionElements, end, endNode, endNode, extractScript, getDataType, getErrorIdForErrorCode, getMetaData, handleNode, handleScript, handleThrowCompensationEventNode, initValidParents, initValidPeers, readDataInputAssociation, readDataOutputAssociation, readIoSpecification, readMultiInstanceLoopCharacteristics, start, writeExtensionElements, writeJavaAction, writeMetaData, writeNode, writeScript, writeScripts, writeVariableName`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, getValidParents, getValidPeers`

- - ### Constructor Detail

    - #### CompositeContextNodeHandler

          public CompositeContextNodeHandler()

  - ### Method Detail

    - #### createNode

          protected Node createNode​(Attributes attrs)

      Specified by:
        `createNode` in class `AbstractNodeHandler`

    - #### generateNodeFor

          public Class generateNodeFor()

    - #### writeNode

          public void writeNode​(Node node,
                                StringBuilder xmlDump,
                                int metaDataType)

      Specified by:
        `writeNode` in class `AbstractNodeHandler`

    - #### getSubNodes

          protected List<Node> getSubNodes​(CompositeNode compositeNode)